Loading...
Searching...
No Matches
MD4 Library
APR Utility Functions
Collaboration diagram for MD4 Library:

## Data Structures

struct | apr_md4_ctx_t

## Macros

#define | APR_MD4_DIGESTSIZE 16

## Typedefs

typedef struct apr_md4_ctx_t | apr_md4_ctx_t

## Functions

apr_status_t | apr_md4_init (apr_md4_ctx_t *context)
apr_status_t | apr_md4_set_xlate (apr_md4_ctx_t *context, apr_xlate_t *xlate)
apr_status_t | apr_md4_update (apr_md4_ctx_t *context, const unsigned char *input, apr_size_t inputLen)
apr_status_t | apr_md4_final (unsigned char digest[APR_MD4_DIGESTSIZE], apr_md4_ctx_t *context)
apr_status_t | apr_md4 (unsigned char digest[APR_MD4_DIGESTSIZE], const unsigned char *input, apr_size_t inputLen)

## Detailed Description

## Macro Definition Documentation

## APR_MD4_DIGESTSIZE

#define APR_MD4_DIGESTSIZE 16

The digestsize for MD4

## Typedef Documentation

## apr_md4_ctx_t

typedef struct apr_md4_ctx_t apr_md4_ctx_t

See also
  apr_md4_ctx_t

## Function Documentation

## apr_md4()

apr_status_t apr_md4 | ( | unsigned char | digest[APR_MD4_DIGESTSIZE],
|  | const unsigned char * | input,
|  | apr_size_t | inputLen )

MD4 digest computation

Parameters

  digest | The MD4 digest
  input | message block to use
  inputLen | The length of the message block

## apr_md4_final()

apr_status_t apr_md4_final | ( | unsigned char | digest[APR_MD4_DIGESTSIZE],
|  | apr_md4_ctx_t * | context )

MD4 finalization. Ends an MD4 message-digest operation, writing the message digest and zeroing the context

Parameters

  digest | The final MD4 digest
  context | The MD4 content we are finalizing.

## apr_md4_init()

apr_status_t apr_md4_init | ( | apr_md4_ctx_t * | context | ) |

MD4 Initialize. Begins an MD4 operation, writing a new context.

Parameters

  context | The MD4 context to initialize.

## apr_md4_set_xlate()

apr_status_t apr_md4_set_xlate | ( | apr_md4_ctx_t * | context,
|  | apr_xlate_t * | xlate )

MDr4 translation setup. Provides the APR translation handle to be used for translating the content before calculating the digest.

Parameters

  context | The MD4 content to set the translation for.
  xlate | The translation handle to use for this MD4 context

## apr_md4_update()

apr_status_t apr_md4_update | ( | apr_md4_ctx_t * | context,
|  | const unsigned char * | input,
|  | apr_size_t | inputLen )

MD4 block update operation. Continue an MD4 message-digest operation, processing another message block, and updating the context.

Parameters

  context | The MD4 content to update.
  input | next message block to update
  inputLen | The length of the next message block